centos7手动编译安装Libvirt常见问题

由于功能需要,体验了手动编译安装Libvrt,还是碰到了不少问题,这里总结如下仅限于centos7:

1、configure: error: You must install the pciaccess module to build with udev

解决方案:yum install libpciaccess-devel.x86_64
 
 
2、configure: error: You must install device-mapper-devel/libdevmapper >= 1.0.0 to compile libvirt
解决方案:yum install device-mapper-devel
 
3、configure: error: libnl-devel >= 1.1 is required for macvtap support
解决方案:yum install libnl-devel.x86_64
 
 
4、configure: error: You must install the libyajl library & headers to compile libvirt
解决方案:yum install libxml2.x86_64  yum install libxml2-devel.x86_64
              yum install yajl.x86_64 yajl-devel.x86_64
 
5、 error: Failed to connect socket to '/usr/local/var/run/libvirt/libvirt-sock': Connection refused
 
这个是virsh连接libvirtd守护进程的时候容易出现的问题,根本原因是libvirtd服务没有启动
解决方案:libvirtd -d
 
6、启动Libvirt出现问题:libvirtd: error: Unable to obtain pidfile. Check /var/log/messages or run without --daemon for more
解决方案:

(1)查找到libvirtd.pid文件,根据libvirt的安装不同,位置可能不同:

$ sudo find / -name libvirtd.pid
[sudo] password for cloud: 
/usr/local/var/run/libvirtd.pid

(2)删除:$sudo rm /usr/local/var/run/libvirtd.pid

(3)启动:$sudo libvirtd -d

 

 

 
 
 
 
 
 

 

posted @ 2016-11-02 19:08  jack.chen  Views(3534)  Comments(0Edit  收藏  举报

以马内利